/*
    BFilter - a web proxy which removes banner ads
    Copyright (C) 2002  Joseph Artsimovich <joseph_a@mail.ru>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef CONFLISTENER_H_
#define CONFLISTENER_H_

#include <string>

using namespace std;

class ConfListener
{
	friend class ConfParser;
public:
	virtual ~ConfListener() {}
protected:
	virtual void processSection(const string& section, int line) {}
	virtual void processParameter(const string& section, const string& key, const string& value, int line) {}
	virtual void processError(const string& errmsg, int line) = 0;
};

#endif

